Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Class BeanMetadataAttribute

    java.lang.Object
      org.springframework.beans.BeanMetadataAttribute

All Implemented Interfaces:
  BeanMetadataElement

    public class BeanMetadataAttribute

extends Object
implements BeanMetadataElement

Holder for a key-value style attribute that is part of a bean definition. Keeps track of the definition source in addition to the key-value pair.

Since:
  2.5
Author:
  Juergen Hoeller

Constructor Summary
`BeanMetadataAttribute(String name, Object value)` Create a new AttributeValue instance.

Method Summary
`boolean` | `equals(Object other)`
`String` | `getName()` Return the name of the attribute.
`Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).
`Object` | `getValue()` Return the value of the attribute.
`int` | `hashCode()`
`void` | `setSource(Object source)` Set the configuration source `Object` for this metadata element.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanMetadataAttribute

    public BeanMetadataAttribute(String name,
                                 Object value)

  Create a new AttributeValue instance.

  Parameters:
    `name` - the name of the attribute (never `null`)
    `value` - the value of the attribute (possibly before type conversion)

Method Detail

### getName

    public String getName()

  Return the name of the attribute.

### getValue

    public Object getValue()

  Return the value of the attribute.

### setSource

    public void setSource(Object source)

  Set the configuration source `Object` for this metadata element.

  The exact type of the object will depend on the configuration mechanism used.

### getSource

    public Object getSource()

  Description copied from interface: `BeanMetadataElement`
  Return the configuration source `Object` for this metadata element (may be `null`).

  Specified by:
    `getSource` in interface `BeanMetadataElement`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.